export function getCurrentPosition() {
	const p = new Promise<{
		latitude: number;
		longitude: number;
	}>((resolve, reject) => {
		try {
			const geoLocation = window.plus ? plus.geolocation : navigator.geolocation;
			if (geoLocation) {
				geoLocation.getCurrentPosition(
					(position) =>
						resolve({
							latitude: position.coords.latitude,
							longitude: position.coords.longitude,
						}),
					(error) => {
						resolve(null);
					}
				);
			} else {
				console.log('Geolocation is not supported by this browser.');
				resolve(null);
			}
		} catch (error) {
			resolve(null);
		}
	});
	return p;
}
